### Method

# Adw Avatardraw_to_texture

#### Declaration [src]

    GdkTexture*
    adw_avatar_draw_to_texture (
      AdwAvatar* self,
      int scale_factor
    )

#### Description [src]

Renders `self` into a `GdkTexture` at `scale_factor`.

This can be used to export the fallback avatar.

#### Parameters

`scale_factor`

  Type: `int`

  The scale factor.

#### Return value

Type: `GdkTexture`

The texture.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.